Query Csv Entries
Retrieves paginated CSV entries with optional filtering and sorting. This endpoint allows clients to browse and search through the uploaded CSV data.
Notes
- Supported sort_by values: rowNumber (default), assetIdentifiers, assetType
- Returns 200 on success
Unique identifier of the segmentation session
Query parameters for filtering and pagination
{
"site_ids": [
"123a456b-123c-456d-89ab-cdef12345678"
],
"offset": 0,
"page_size": 1000,
"sort_ascending": false,
"sort_by": "rowNumber",
"tag": [
{
"scope": "environment",
"tag": "production"
}
]
}
Successfully retrieved CSV entries
{
"offset": 0,
"number_of_results": 2,
"total_result_count": 2,
"total_pages": 1,
"sort_ascending": false,
"sort_by": "rowNumber",
"results": [
{
"csv_entry_object": {
"asset_identifiers": [
"win10_vm_1"
]
},
"type": "VIRTUAL_MACHINE",
"row": 5
},
{
"csv_entry_object": {
"asset_identifiers": [
"win10_vm_2"
]
},
"type": "VIRTUAL_MACHINE",
"row": 4
}
]
}
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/user-file/csv-entries